
# App by menus

## <a name="summary"/>Summary

* ['Project' menu](#menu_project)
    * ['New' menu option](#project_new)
    * ['Open' menu option](#project_open)
    * ['Save' menu option](#project_save)
    * ['Save as...' menu option](#project_save_as)
    * ['Export to PDF' menu option](#project_export_pdf)
    * ['Quit' menu option](#project_quit)
* ['Edit' menu](#menu_edit)
    * ['Undo' menu option](#edit_undo)
    * ['Redo' menu option](#edit_redo)
    * ['Select all' menu option](#edit_select_all)
* ['View' menu](#menu_view)
    * ['Toggle status bar' menu option](#view_show_statusbar)
* ['Tools' menu](#menu_tools)
    * ['Name database' menu option](#tools_name_db)
    * ['Story/pitch templates' menu option](#tools_pitch_templates)
    * ['Scenario Elements Editor (SEE)' menu option](#tools_see)
* ['Help' menu](#menu_help)
    * ['Offline documentation' menu option](#help_offline_doc)
    * ['Online documentation' menu option](#help_online_doc)
    * ['About...' menu option](#help_about)
* [Quick nav](#quick-nav)


## <a name="menu_project"/>'Project' menu

### <a name="project_new"/>'New' menu option

This menu option fully resets application software in order to work
with a new virgin project.

A pending modified project will show confirmation dialog before going
on with this menu option.

Return to [summary](#summary).

### <a name="project_open"/>'Open' menu option

This menu option shows up a file dialog to help user in opening a
previously saved project file.

A pending modified project will show confirmation dialog before going
on with this menu option.

Return to [summary](#summary).

### <a name="project_save"/>'Save' menu option

This menu option actually saves current project data into a file
location on hard drive disk.

Never saved projects will first go to 'Save as...' option.

Return to [summary](#summary).

### <a name="project_save_as"/>'Save as...' menu option

This menu option pops up a 'Save as...' file dialog to help user in
choosing a new file location/name for current project's data.

Return to [summary](#summary).

### <a name="project_export_pdf"/>'Export to PDF' menu option

This menu option shows up a dedicated multi-document exportation dialog
tool.

Application software will refuse showing up this dialog until project
has been saved at least once.

Return to [summary](#summary).

### <a name="project_quit"/>'Quit' menu option

This menu option simply quits running application.

A pending modified project will show confirmation dialog before going
on with this menu option.

Return to [summary](#summary).


## <a name="menu_edit"/>'Edit' menu

### <a name="edit_undo"/>'Undo' menu option

This menu option cancels last text entry on a **text editor**.

Form entries (title, subtitle, etc) do *NOT* apply.

Return to [summary](#summary).

### <a name="edit_redo"/>'Redo' menu option

This menu option redoes last cancelled text entry on a **text editor**.

Form entries (title, subtitle, etc) do *NOT* apply.

Return to [summary](#summary).

### <a name="edit_select_all"/>'Select all' menu option

This menu option selects all text onto **text editors** AND **form
entries**.

Return to [summary](#summary).


## <a name="menu_view"/>'View' menu

### <a name="view_show_statusbar"/>'Toggle status bar' menu option

This menu option toggles display of the status bar (information line at
the bottom end of the app window).

If checked, the option displays status bar.

If unchecked, the option hides status bar.

Return to [summary](#summary).


## <a name="menu_tools"/>'Tools' menu

### <a name="tools_name_db"/>'Name database' menu option

This menu option calls the dedicated dialog tool.

Please, refer to the [tool page](en_tools_name_db.html) for more detail.

Return to [summary](#summary).

### <a name="tools_pitch_templates"/>'Story/pitch templates' menu option

This menu option calls the dedicated dialog tool.

Please, refer to the [tool page](en_tools_pitch_templates.html) for more
detail.

Return to [summary](#summary).

### <a name="tools_see"/>'Scenario Elements Editor (SEE)' menu option

This menu option calls the dedicated dialog tool.

Please, refer to the [tool page](en_tools_scenario_elements_editor.html)
for more detail.

Return to [summary](#summary).


## <a name="menu_help"/>'Help' menu

### <a name="help_offline_doc"/>'Offline documentation' menu option

This menu option launches the default internet browser and displays
local documentation embedded with the software package, in HTML format.

This option allows documenting even when there is no more internet
access.

Anyway, one may prefer to read out online documentation whenever
possible, as official documentation is mostly better up-to-date than
offline documentation.

Return to [summary](#summary).

### <a name="help_online_doc"/>'Online documentation' menu option

This menu option launches the default internet browser and displays
official online documentation.

Return to [summary](#summary).

### <a name="help_about"/>'About...' menu option

This menu option simply pops up an information dialog about current
software application and some related data.

Return to [summary](#summary).

---

#### <a name="quick-nav"/>Quick nav

* **App by tabs**
    * ['Title/Data' tab](en_tab_title_data.html)
    * ['Draft/Notes' tab](en_tab_draft_notes.html)
    * ['Pitch/Concept' tab](en_tab_pitch_concept.html)
    * ['Characters' tab](en_tab_characters.html)
    * ['Scenario' tab](en_tab_scenario.html)
    * ['Storyboard' tab](en_tab_storyboard.html)
    * ['Resources' tab](en_tab_resources.html)
* **Extra tools**
    * [Name database](en_tools_name_db.html)
    * [Story/pitch templates](en_tools_pitch_templates.html)
    * [Scenario Elements Editor (SEE)](en_tools_scenario_elements_editor.html)

Return to [homepage](index.html).
