
# App by tabs

## <a name="resources-tab"/>'Resources' tab

## <a name="summary"/>Summary

* [Screenshot](#screenshot)
* [Introduction](#introduction)
* [Usage](#usage)
    * ['Resources' pane](#resources_zone)
        * [Resource dropdown lists](#combos)
        * [Item browser](#items_nav)
        * [Adding an item](#items_add)
        * [Filling out item's form](#items_fill_out)
        * [Renaming an item](#items_rename)
        * [Deleting an item](#items_del)
    * ['Planning' pane](#planning_zone)
        * [Screenshot](#screenshot2)
        * [Adding a date bar](#dates_add)
        * [Updating a date bar](#dates_edit)
        * [Deleting a date bar](#dates_del)
        * [Changing time scale](#dates_scale)
    * ['Data' pane](#data_zone)
        * [Form fields](#data_fields)
        * [Notes text zone](#data_notes)
* [Finally](#finally)
* [Quick nav](#quick-nav)


## <a name="screenshot"/>Screenshot

![image](../../images/screenshots/screenshot-011.png)

Return to [summary](#summary).


## <a name="introduction"/>Introduction

This app tab allows multiple resources management.

It is an independent part of the software you may use as if you like.

It is composed of:

1. a 'Resources' pane, on top left side;
1. a 'Planning' pane, on top right side;
1. a 'Data' pane, on bottom right side.

All section panes are **resizable**: put mouse pointer between each
pane, then click and drag sash to get desired size.

Return to [summary](#summary).


## <a name="usage"/>Usage

### <a name="resources_zone"/>'Resources' pane

#### <a name="combos"/>Resource dropdown lists

The 'Type' and 'Section' selectors are dropdown lists.

Click on right side arrowed button to get list of choices and to select
a given item.

Click on `+` button underneath to add a new resource item.

Click on `Rename` button to rename selected list item.

Click on `-` button to delete selected resource item.

A confirmation dialog will popup before deleting definitely.

Return to [summary](#summary).

#### <a name="items_nav"/>Item browser

The 'Item' choicelist is an open list of choices.

Its content depends on selections made into 'Type' and 'Section'
dropdown lists.

Return to [summary](#summary).

#### <a name="items_add"/>Adding an item

Click on `+` button underneath the list box to add a new resource item.

Return to [summary](#summary).

#### <a name="items_fill_out"/>Filling out item's form

Click into each form entry (white text zone) and [fill out](#data_zone) with relevant data.

Please, note this item data form manages with **automatic backup**
feature: anything you enter into form fields will be automatically
saved into software's memory. However, this does not exempt you from
saving your project file regularly.

Return to [summary](#summary).

#### <a name="items_rename"/>Renaming an item

Select the desired item into the 'Item' list box and then click on
`Rename` button to rename this item.

Return to [summary](#summary).

#### <a name="items_del"/>Deleting an item

Select the desired item into the 'Item' list box and then click on `-`
button.

A confirmation dialog will popup before deleting definitely.

Return to [summary](#summary).

### <a name="planning_zone"/>'Planning' pane

#### <a name="screenshot2"/>Screenshot

![image](../../images/screenshots/screenshot-012.png)

Return to [summary](#summary).

#### <a name="dates_add"/>Adding a date bar

Simply double-click on a canvas empty zone (no date bars underneath),
at resource item's label level.

An input dialog will then popup to help you filling out date intervals
and resource availability.

Please, note **date overlappings** are under user's entire
responsibility. This software is *NOT* a resource planner expert.

Return to [summary](#summary).

#### <a name="dates_edit"/>Updating a date bar

Double-click on the desired date bar, whatever colour is.

An input dialog will then popup to help you filling out date intervals
and resource availability.

Please, note **date overlappings** are under user's entire
responsibility. This software is *NOT* a resource planner expert.

Return to [summary](#summary).

#### <a name="dates_del"/>Deleting a date bar

Do a `<Ctrl-Click>` onto desired date bar on the canvas.

This may be obtained by clicking on target while pressing `<Ctrl>` key
down on your keyboard.

A confirmation dialog will popup before deleting definitely.

Return to [summary](#summary).

#### <a name="dates_scale"/>Changing time scale

To change canvas time scale, hover mouse pointer over the canvas, press
`Ctrl` key down and then roll up or down mouse wheel.

At this time, `tkScenarist` software has the following time scales:

1. **Days**: dates are shown day after day;
1. **Weeks**: dates are shown week after week;
1. **Months**: dates are shown month after month.

Each time scale update will automatically redraw *ALL* present date
bars, which may take a while under particular circumstances.

Return to [summary](#summary).

### <a name="data_zone"/>'Data' pane

The 'Data' pane is essentially an item data form, with text entries
(form fields) and a big text zone for personal notes.

Return to [summary](#summary).

#### <a name="data_fields"/>Form fields

Item data form fields are:

1. **Name**: specific name for the selected resource item; this could
be a person name, an object name or whatever could be useful to better
identify the resource item;
1. **Role**: some resource items need to give a more specific role than
the entitled one;
1. **Contact**: name of the person to contact about this resource item;
1. **Phone**: contact's phone number;
1. **E-mail**: contact's e-mail address.

Click on each form entry (white zone) and type any relevant data you
need for the selected resource item.

Form fields/entries are **one-line** editing zones: it is *NOT*
possible to use carriage return on them.

Double-clicking on a word will select **this word only**.

Triple-clicking on a word will select **the whole line**.

You may select all text in a form entry either by using `Edit > Select
all` menu option or with `<Ctrl-A>` keyboard shortcut.

Any selection band is likely to be replaced by the next keystroke on
the keyboard.

Return to [summary](#summary).

#### <a name="data_notes"/>Notes text zone

The 'Notes' text zone is also an input part of resource item's data
form.

This big white zone is called a **plain text editor**.

This object allows multiple line editing with carriage return,
undo/redo stack and many other features.

Pressing on the carriage return key will insert a new **paragraph**.

Double-clicking on a word will select **this word only**.

Triple-clicking on a word will select **the whole paragraph**.

You may **select all text** by using `Edit > Select all` menu option or
with `<Ctrl-A>` keyboard shortcut.

Any selection band is likely to be replaced by the next keystroke on
the keyboard.

To **undo** last operation, either use `Edit > Undo` menu option or try
`<Ctrl-Z>` keyboard shortcut.

To **redo** last cancelled operation, either use `Edit > Redo` menu
option or try `<Ctrl-Shift-Z>` keyboard shortcut.

Return to [summary](#summary).


## <a name="finally"/>Finally

**IMPORTANT**: don't forget to **save your project** regularly, either
with `Project > Save` menu option or with `<Ctrl-S>` keyboard shortcut.

Return to [summary](#summary).

---

#### <a name="quick-nav"/>Quick nav

* **App by tabs**
    * ['Title/Data' tab](en_tab_title_data.html)
    * ['Draft/Notes' tab](en_tab_draft_notes.html)
    * ['Pitch/Concept' tab](en_tab_pitch_concept.html)
    * ['Characters' tab](en_tab_characters.html)
    * ['Scenario' tab](en_tab_scenario.html)
    * ['Storyboard' tab](en_tab_storyboard.html)
    * ['Resources' tab](en_tab_resources.html)
* **Extra tools**
    * [Name database](en_tools_name_db.html)
    * [Story/pitch templates](en_tools_pitch_templates.html)
    * [Scenario Elements Editor (SEE)](en_tools_scenario_elements_editor.html)

Return to [homepage](index.html).
