
# Extra tool: 'Story/pitch templates'

## <a name="summary"/>Summary

* [Screenshot](#screenshot)
* [Introduction](#introduction)
* [Usage](#usage)
    * [Picking up a template](#template_get)
    * [Adding a template](#template_add)
    * [Updating a template](#template_edit)
    * [Deleting a template](#template_del)
    * [Changing templates directory](#template_browse)
    * [Resetting to default directory](#template_reset)
    * [Options](#template_options)
* [Finally](#finally)
* [Quick nav](#quick-nav)


## <a name="screenshot"/>Screenshot

![image](../../images/screenshots/screenshot-004.png)

Return to [summary](#summary).


## <a name="introduction"/>Introduction

This tool allows to pick up available pitch/story templates for project
startups. It also allows to create new templates and/or edit existing
ones.

It is composed of:

1. a 'Templates' pane, on top left side;
1. a 'Preview' pane, just underneath;
1. an 'Edition' pane, on right side;
1. an 'Options' pane, on bottom end.

Extra tool panes are *NOT* resizable.

Return to [summary](#summary).


## <a name="usage"/>Usage

### <a name="template_get"/>Picking up a template

Select a template name into the 'Templates' list box, eventually
check/uncheck some options, then click onto `OK` button to confirm your
request.

Return to [summary](#summary).

### <a name="template_add"/>Adding a template

Click on `Add new` button, then choose a filename into file dialog.

Please, note changing current working directory's location with this
file dialog will **actually change** templates working directory for
any future template script as well.

Return to [summary](#summary).

### <a name="template_edit"/>Updating a template

Select a template name into the 'Templates' list box, then click into
the text area (white zone) of 'Preview' pane.

This big white zone is called a **plain text editor**.

This text editor especially supports **automatic backup** feature:
anything you type in will be automatically saved into its dedicated
file.

This object allows multiple line editing with carriage return,
undo/redo stack and many other features.

Pressing on the carriage return key will insert a new **paragraph**.

Double-clicking on a word will select **this word only**.

Triple-clicking on a word will select **the whole paragraph**.

You may **select all text** by using `<Ctrl-A>` keyboard shortcut.

Any selection band is likely to be replaced by the next keystroke on
the keyboard.

To **undo** last operation, try `<Ctrl-Z>` keyboard shortcut.

To **redo** last cancelled operation, try `<Ctrl-Shift-Z>` keyboard
shortcut.

Return to [summary](#summary).

### <a name="template_del"/>Deleting a template

Select a template name into the 'Templates' list box, then click on
`Delete` button.

A confirmation dialog will popup before deleting definitely.

Return to [summary](#summary).

### <a name="template_browse"/>Changing templates directory

Click on `Browse` button, then choose a new templates working directory
into the file dialog.

Return to [summary](#summary).

### <a name="template_reset"/>Resetting to default directory

Click on `Reset to default dir` to rollback immediately to
application's default templates working directory.

Return to [summary](#summary).

### <a name="template_options"/>Options

Check or uncheck options to meet your needs.

Checked options will be taken in account, unchecked won't.

Return to [summary](#summary).


## <a name="finally"/>Finally

**IMPORTANT**: don't forget to **save your project** regularly, either
with `Project > Save` menu option or with `<Ctrl-S>` keyboard shortcut.

Return to [summary](#summary).

---

#### <a name="quick-nav"/>Quick nav

* **App by tabs**
    * ['Title/Data' tab](en_tab_title_data.html)
    * ['Draft/Notes' tab](en_tab_draft_notes.html)
    * ['Pitch/Concept' tab](en_tab_pitch_concept.html)
    * ['Characters' tab](en_tab_characters.html)
    * ['Scenario' tab](en_tab_scenario.html)
    * ['Storyboard' tab](en_tab_storyboard.html)
    * ['Resources' tab](en_tab_resources.html)
* **Extra tools**
    * [Name database](en_tools_name_db.html)
    * [Story/pitch templates](en_tools_pitch_templates.html)
    * [Scenario Elements Editor (SEE)](en_tools_scenario_elements_editor.html)

Return to [homepage](index.html).
