
# L'application par ses menus

## <a name="sommaire"/>Sommaire

* [Menu 'Projet'](#menu_project)
    * [Option 'Nouveau'](#project_new)
    * [Option 'Ouvrir'](#project_open)
    * [Option 'Enregistrer'](#project_save)
    * [Option 'Enregistrer sous...'](#project_save_as)
    * [Option 'Exporter vers PDF'](#project_export_pdf)
    * [Option 'Quitter'](#project_quit)
* [Menu 'Edition'](#menu_edit)
    * [Option 'Annuler'](#edit_undo)
    * [Option 'Refaire'](#edit_redo)
    * [Option 'Tout sélectionner'](#edit_select_all)
* [Menu 'Affichage'](#menu_view)
    * [Option 'Afficher la barre d'état'](#view_show_statusbar)
* [Menu 'Outils'](#menu_tools)
    * [Option 'BDD noms de personnages'](#tools_name_db)
    * [Option 'Modèles d'histoires/de pitchs'](#tools_pitch_templates)
    * [Option 'Éléments de scénario'](#tools_see)
* [Menu 'Aide'](#menu_help)
    * [Option 'Documentation locale'](#help_offline_doc)
    * [Option 'Documentation internet'](#help_online_doc)
    * [Option 'À propos de...'](#help_about)
* [Navigation rapide](#navigation-rapide)


## <a name="menu_project"/>Menu 'Projet'

### <a name="project_new"/>Option 'Nouveau'

L'option de menu 'Nouveau' permet de réinitialiser le logiciel en vue
de créer un nouveau projet.

Le recours à cette option n'est nécessaire que si vous avez déjà un
autre projet en cours d'édition.

Si un projet est modifié mais non sauvegardé au moment de l'appel de
cette option, le logiciel vous demandera confirmation avant de
continuer.

Retourner au [sommaire](#sommaire).

### <a name="project_open"/>Option 'Ouvrir'

L'option de menu 'Ouvrir' permet de récupérer un projet anciennement
sauvegardé grâce à une boîte de dialogue dédiée à cet effet.

Si un projet est modifié mais non sauvegardé au moment de l'appel de
cette option, le logiciel vous demandera confirmation avant de
continuer.

Retourner au [sommaire](#sommaire).

### <a name="project_save"/>Option 'Enregistrer'

L'option de menu 'Enregistrer' permet de sauvegarder sur votre disque
dur le projet en cours d'édition.

Pour un projet vierge qui n'a jamais été sauvegardé auparavant, le
logiciel basculera automatiquement vers l'option de menu 'Enregistrer
sous...'.

Retourner au [sommaire](#sommaire).

### <a name="project_save_as"/>Option 'Enregistrer sous...'

L'option de menu 'Enregistrer sous...' permet de sauvegarder sur votre
disque dur le projet en cours d'édition, soit à un nouvel emplacement
et/ou un nouveau nom de fichier projet, soit à son premier emplacement,
si le projet n'a jamais été sauvegardé auparavant.

Retourner au [sommaire](#sommaire).

### <a name="project_export_pdf"/>Option 'Exporter vers PDF'

L'option de menu 'Exporter vers PDF' appelle le dialogue d'exportation
multi-documents qui vous permet de produire des documents imprimables
au format standard PDF&reg; à partir des données contenues dans votre
projet, documents mis en forme pour correspondre au mieux aux attentes
du milieu professionnel cinématographique.

Notez toutefois que le logiciel refusera d'ouvrir ce dialogue tant que
vous ne lui aurez pas spécifié un chemin de fichier valide pour votre
projet, en d'autres termes, tant que vous n'aurez pas sauvegardé **au
moins une première fois** votre projet avant de demander une
exportation de documents.

Retourner au [sommaire](#sommaire).

### <a name="project_quit"/>Option 'Quitter'

L'option de menu 'Quitter' vous permet de quitter l'application à tout
moment.

Si un projet est modifié mais non sauvegardé au moment de l'appel de
cette option, le logiciel vous demandera confirmation avant de
continuer.

Retourner au [sommaire](#sommaire).


## <a name="menu_edit"/>Menu 'Edition'

### <a name="edit_undo"/>Option 'Annuler'

L'option de menu 'Annuler' permet d'annuler la dernière saisie **dans
un éditeur de texte** uniquement.

Notez que cette option **ne fonctionne pas** à l'heure actuelle **avec
les zones de texte de formulaire** (titre, sous-titre, etc).

Retourner au [sommaire](#sommaire).

### <a name="edit_redo"/>Option 'Refaire'

L'option de menu 'Refaire' permet de répéter la dernière saisie annulée
**dans un éditeur de texte** uniquement.

Notez que cette option **ne fonctionne pas** à l'heure actuelle **avec
les zones de texte de formulaire** (titre, sous-titre, etc).

Retourner au [sommaire](#sommaire).

### <a name="edit_select_all"/>Option 'Tout sélectionner'

L'option de menu 'Tout sélectionner' permet de mettre un ruban de
sélection sur la totalité d'une zone de texte à sélectionner.

Contrairement aux options 'Annuler' et 'Refaire', cette option
fonctionne aussi bien pour un éditeur de texte que pour une zone de
texte de formulaire.

Retourner au [sommaire](#sommaire).


## <a name="menu_view"/>Menu 'Affichage'

### <a name="view_show_statusbar"/>Option 'Afficher la barre d'état'

L'option de menu 'Afficher la barre d'état' est une option cochable /
décochable, qui vous permet soit d'afficher la barre d'état (la petite
ligne d'information tout en bas de la fenêtre du logiciel) lorsque
cette option est cochée, soit au contraire, de masquer la barre d'état
lorsque cette option est décochée.

Retourner au [sommaire](#sommaire).


## <a name="menu_tools"/>Menu 'Outils'

### <a name="tools_name_db"/>Option 'BDD noms de personnages'

L'option de menu 'BDD noms de personnages' appelle l'outil base de
données de noms de personnages du logiciel.

Pour en savoir plus, merci de consulter la
[page dédiée](fr_tools_name_db.html) à cet outil.

Retourner au [sommaire](#sommaire).

### <a name="tools_pitch_templates"/>Option 'Modèles d'histoires/pitchs'

L'option de menu 'Modèles d'histoires/pitchs' appelle le gestionnaire
de modèles d'histoires/pitchs du logiciel.

Pour en savoir plus, merci de consulter la
[page dédiée](fr_tools_pitch_templates.html) à cet outil.

Retourner au [sommaire](#sommaire).

### <a name="tools_see"/>Option 'Éléments de scénario'

L'option de menu 'Éléments de scénario' appelle le gestionnaire de
styles de l'éditeur de scénario du logiciel.

Pour en savoir plus, merci de consulter la
[page dédiée](fr_tools_scenario_elements_editor.html) à cet outil.

Retourner au [sommaire](#sommaire).


## <a name="menu_help"/>Menu 'Aide'

### <a name="help_offline_doc"/>Option 'Documentation locale'

L'option de menu 'Documentation locale' lance le navigateur internet
par défaut pour afficher de la documentation fournie localement avec le
logiciel, au format HTML.

Cette option vous permet de vous documenter même quand vous n'avez pas
d'accès à l'internet.

Il demeure néanmoins toujours préférable de consulter aussi souvent que
possible la documentation officielle en ligne, qui est généralement
mieux renseignée que la documentation de secours.

Retourner au [sommaire](#sommaire).

### <a name="help_online_doc"/>Option 'Documentation internet'

L'option de menu 'Documentation internet' lance le navigateur internet
par défaut pour afficher la documentation officielle du logiciel
publiée en ligne.

Retourner au [sommaire](#sommaire).

### <a name="help_about"/>Option 'À propos de...'

L'option de menu 'À propos de...' affiche simplement une boîte de
dialogue présentant le logiciel ainsi que diverses informations liées.

Retourner au [sommaire](#sommaire).

---

#### <a name="navigation-rapide"/>Navigation rapide

* **L'application par ses onglets**
    * [Onglet 'Titre/Données'](fr_tab_title_data.html)
    * [Onglet 'Brouillon/Notes'](fr_tab_draft_notes.html)
    * [Onglet 'Pitch/Concept'](fr_tab_pitch_concept.html)
    * [Onglet 'Personnages'](fr_tab_characters.html)
    * [Onglet 'Scénario'](fr_tab_scenario.html)
    * [Onglet 'Storyboard'](fr_tab_storyboard.html)
    * [Onglet 'Ressources'](fr_tab_resources.html)
* **Les outils**
    * [BDD noms de personnages](fr_tools_name_db.html)
    * [Modèles d'histoires/pitchs](fr_tools_pitch_templates.html)
    * [Éléments de scénario](fr_tools_scenario_elements_editor.html)

Retourner à [l'accueil](index.html).
