
# L'application par ses onglets

## <a name="onglet-ressources"/>Onglet 'Ressources'

## <a name="sommaire"/>Sommaire

* [Aperçu](#screenshot)
* [Présentation](#introduction)
* [Utilisation](#utilisation)
    * [Zone 'Ressources'](#resources_zone)
        * [Sélecteurs de ressources](#combos)
        * [Navigateur d'éléments](#items_nav)
        * [Ajouter un élément](#items_add)
        * [Renseigner un élément](#items_fill_out)
        * [Renommer un élément](#items_rename)
        * [Supprimer un élément](#items_del)
    * [Zone 'Planning'](#planning_zone)
        * [Aperçu](#screenshot2)
        * [Ajouter une barre de dates](#dates_add)
        * [Modifier une barre de dates](#dates_edit)
        * [Supprimer une barre de dates](#dates_del)
        * [Changer l'échelle de temps](#dates_scale)
    * [Zone 'Données'](#data_zone)
        * [Champs de formulaire](#data_fields)
        * [Zone de texte des notes](#data_notes)
* [Pour finir](#pour-finir)
* [Navigation rapide](#navigation-rapide)


## <a name="screenshot"/>Aperçu

![image](../../images/screenshots/fr/screenshot-011.png)

Retourner au [sommaire](#sommaire).


## <a name="introduction"/>Présentation

Cet onglet permet de gérer les différentes ressources susceptibles
d'intervenir dans la mise en place et la réalisation de votre projet de
film.

Cet onglet est totalement indépendant du reste de l'application&nbsp;:
vous pouvez gérer vos ressources avant même de commencer à rédiger
votre scénario, si cela vous chante.

Il se compose de **trois zones** principales&nbsp;:

1. à gauche, la zone **Ressources**, qui comprend trois sélecteurs
(Type, Section et Élément)&nbsp;;
1. en haut, à droite, la zone **Planning**, sous la forme d'un canevas
graphique, il s'agit d'un **gestionnaire visuel de disponibilités** des
différentes ressources&nbsp;;
1. en bas, à droite, la zone **Données**, sous la forme d'un petit
formulaire de saisie de données (notes incluses) pour un élément de
ressources sélectionné dans le [navigateur d'éléments](#items_nav) de
ressources.

Toutes les zones sont **redimensionnables**&nbsp;: il suffit de placer
la flèche de la souris entre les zones, l'icône du pointeur doit alors
changer d'aspect (e.g. deux flèches qui s'opposent), de maintenir le
clic enfoncé puis de déplacer dans le sens indiqué par le pointeur de
souris pour obtenir le redimensionnement escompté.

Retourner au [sommaire](#sommaire).


## <a name="utilisation"/>Utilisation

### <a name="resources_zone"/>Zone 'Ressources'

#### <a name="combos"/>Sélecteurs de ressources

Les sélecteurs 'Type' et 'Section' sont des listes déroulantes
modifiables (combobox).

**Pour sélectionner un élément** de la liste déroulante, cliquez sur le
bouton sur lequel figure une petite flèche orientée vers le bas, bouton
situé à droite de la liste déroulante.

Une liste de choix devrait dès lors apparaître sous l'objet liste
déroulante.

Pour finir, cliquez sur l'élément de liste qui vous intéresse dans
cette liste de choix, l'intitulé apparaîtra alors dans la zone de texte
de la liste déroulante et sera considéré comme étant sélectionné.

**Pour ajouter un élément** à la liste de choix, cliquez sur le bouton
`+` (signe plus) situé juste en-dessous de la liste déroulante que vous
voulez modifier.

Une fenêtre de dialogue apparaît alors pour vous permettre de saisir
l'intitulé du nouvel élément de liste.

Chaque intitulé d'élément doit être **unique** pour une même liste
déroulante donnée.

Le logiciel ne manquera pas de vous le signaler, le cas échéant.

**Pour renommer un élément** de la liste de choix, sélectionnez tout
d'abord l'élément souhaité dans cette liste, puis cliquez sur le bouton
`Renommer` situé juste en-dessous de cette liste.

Une fenêtre de dialogue apparaît alors pour vous permettre de changer
l'intitulé de l'élément de liste.

Chaque intitulé d'élément doit être **unique** pour une même liste
déroulante donnée.

Le logiciel ne manquera pas de vous le signaler, le cas échéant.

**Pour supprimer un élément** de la liste de choix, sélectionnez tout
d'abord l'élément souhaité dans cette liste, puis cliquez sur le bouton
`-` (signe moins) situé juste en-dessous de cette liste.

Une fenêtre de dialogue vous demandera confirmation avant de procéder à
la suppression définitive de l'élément de liste.

Retourner au [sommaire](#sommaire).

#### <a name="items_nav"/>Navigateur d'éléments

Le navigateur d'éléments intitulé 'Élément' est une liste de choix
finale qui permet d'embrasser d'un seul coup d'oeil la plupart des
éléments de ressources finaux appartenant à un type de ressources et à
sa section e.g. 'Équipes'/'Producteurs'.

Vous retrouverez systématiquement une réplique de cette liste dans le
canevas graphique du gestionnaire de disponibilités de ressources de la
[zone 'Planning'](#planning_zone).

Cette liste représentant les éléments liés à une section et un type de
ressources, toute nouvelle sélection dans une section ou dans un type
de ressources met à jour la liste finale des éléments, afin de toujours
refléter la hiérarchie d'appartenance des données.

Pour bien le comprendre, le plus simple reste encore de jouer un peu
avec des sélections dans les types et les sections de ressources.

Retourner au [sommaire](#sommaire).

#### <a name="items_add"/>Ajouter un élément

Pour ajouter un élément à la liste de choix du navigateur d'éléments,
cliquez sur le bouton `+` (signe plus) situé en bas, à gauche de la
liste.

Une fenêtre de dialogue apparaît alors pour vous permettre de saisir
l'intitulé d'un nouvel élément de liste.

Chaque intitulé d'élément doit être **unique** au sein de la liste.

Le logiciel ne manquera pas de vous le signaler, le cas échéant.

Retourner au [sommaire](#sommaire).

#### <a name="items_fill_out"/>Renseigner un élément

Pour renseigner un élément de la liste de choix du navigateur
d'éléments, cliquez sur l'élément souhaité dans la liste, puis
saisissez du texte de renseignement dans les champs de formulaire qui
se trouvent dans la zone 'Données', ainsi que dans la grande zone de
texte blanche intitulée 'Notes'.

Ne cherchez pas de bouton `Sauvegarder`, il n'y en a pas&nbsp;: les
données de formulaire sont **automatiquement enregistrées** entre
chaque élément sélectionné.

Il vous suffit donc de cliquer sur un élément dans la liste, de
renseigner le formulaire, puis de cliquer sur un autre élément de la
liste, de renseigner son formulaire aussi et ainsi de suite, autant de
fois que nécessaire.

Pour plus de détail concernant ce formulaire, merci de consulter la
[zone 'Données'](#data_zone).

Retourner au [sommaire](#sommaire).

#### <a name="items_rename"/>Renommer un élément

Pour renommer un élément de la liste de choix du navigateur d'éléments,
sélectionnez tout d'abord l'élément souhaité dans cette liste, puis
cliquez sur le bouton `Renommer` situé juste en-dessous de cette liste.

Une fenêtre de dialogue apparaît alors pour vous permettre de changer
l'intitulé de l'élément de liste.

Chaque intitulé d'élément doit être **unique** au sein de la liste.

Le logiciel ne manquera pas de vous le signaler, le cas échéant.

Retourner au [sommaire](#sommaire).

#### <a name="items_del"/>Supprimer un élément

Pour supprimer un élément de la liste de choix du navigateur
d'éléments, sélectionnez tout d'abord l'élément souhaité dans cette
liste, puis cliquez sur le bouton `-` (signe moins) situé en bas, à
gauche de la liste.

Une fenêtre de dialogue vous demandera confirmation avant de procéder à
la suppression définitive de l'élément de liste.

Retourner au [sommaire](#sommaire).

### <a name="planning_zone"/>Zone 'Planning'

#### <a name="screenshot2"/>Aperçu

![image](../../images/screenshots/fr/screenshot-012.png)

Retourner au [sommaire](#sommaire).

#### <a name="dates_add"/>Ajouter une barre de dates

Pour ajouter une barre de dates sur le canevas graphique du
gestionnaire de disponibilités de ressources, double-cliquez sur une
zone neutre sur la ligne imaginaire correspondant à l'élément de liste
cité dans ce canevas graphique.

Une zone neutre se caractérise par le fond du canevas graphique (fond
gris), à l'exclusion de tout objet qui pourrait se trouver sous la
flèche de la souris comme, par exemple, une barre de dates.

Notez que dans le cas particulier de ce gestionnaire de disponibilités
de ressources, la liste d'éléments située à gauche et la réglette
temporelle située en haut dans le canevas graphique sont aussi
assimilées à des zones neutres. Vous pouvez donc double-cliquer dessus
sans risque.

Une fenêtre de dialogue s'ouvre alors pour vous permettre de
sélectionner la disponibilité de l'élément de liste choisi.

Attention&nbsp;: le logiciel `tkScenarist` a fait le choix délibéré de
ne pas contrôler les **chevauchements de dates** d'une barre de dates à
une autre. Il relève donc de la responsabilité de chacun(e) de veiller
à entrer des dates cohérentes pour chaque barre de dates saisie.

Retourner au [sommaire](#sommaire).

#### <a name="dates_edit"/>Modifier une barre de dates

Pour modifier une barre de dates déjà existante sur le canevas
graphique du gestionnaire de disponibilités de ressources,
double-cliquez simplement sur cette barre, quelle que soit sa couleur.

Une fenêtre de dialogue s'ouvre alors pour vous permettre de modifier
les informations concernant la disponibilité de l'élément de liste
choisi.

Attention&nbsp;: le logiciel `tkScenarist` a fait le choix délibéré de
ne pas contrôler les **chevauchements de dates** d'une barre de dates à
une autre. Il relève donc de la responsabilité de chacun(e) de veiller
à entrer des dates cohérentes pour chaque barre de dates saisie.

Retourner au [sommaire](#sommaire).

#### <a name="dates_del"/>Supprimer une barre de dates

Pour supprimer une barre de dates déjà existante sur le canevas
graphique du gestionnaire de disponibilités de ressources, maintenez
enfoncée la touche `Ctrl` (en bas, à gauche ou à droite de votre
clavier), puis cliquez sur la barre de dates que vous souhaitez
enlever.

Une fenêtre de dialogue vous demandera confirmation avant de procéder à
la suppression définitive de la barre de dates sélectionnée.

Retourner au [sommaire](#sommaire).

#### <a name="dates_scale"/>Changer l'échelle de temps

Pour changer l'échelle de temps de la réglette temporelle située en
haut dans le canevas graphique du gestionnaire de disponibilités de
ressources, placez la flèche de la souris n'importe où dans le canevas
graphique, maintenez enfoncée la touche `Ctrl` (en bas, à gauche ou à
droite de votre clavier), puis faites rouler la molette de votre souris
dans un sens ou dans un autre, selon l'échelle de temps que vous
souhaitez obtenir.

Les graphiques des barres de dates s'adapteront alors automatiquement à
la nouvelle échelle temporelle.

À l'heure actuelle, le logiciel `tkScenarist` ne propose que les
échelles temporelles suivantes&nbsp;:

1. **Jours**&nbsp;: la réglette affiche les dates jour après
jour&nbsp;;
1. **Semaines**&nbsp;: la réglette affiche les dates semaine après
semaine&nbsp;;
1. **Mois**&nbsp;: la réglette affiche les dates mois après mois.

Notez que la vocation du logiciel `tkScenarist` n'est pas d'être un
gestionnaire de ressources extraordinairement performant, mais plutôt
de faciliter la rédaction de scénarios de films.

Retourner au [sommaire](#sommaire).

### <a name="data_zone"/>Zone 'Données'

La zone 'Données' se compose d'un formulaire, avec ses zones de texte à
saisir (champs de formulaire), ainsi que d'une grande zone de texte
attenante intitulée 'Notes', qui fait néanmoins partie intégrante de ce
formulaire.

#### <a name="data_fields"/>Champs de formulaire

Pour chaque élément de liste sélectionné dans le
[navigateur d'éléments](#items_nav), le formulaire de la zone
'Données' reflète les données qui lui sont liées&nbsp;:

1. **Nom**&nbsp;: le nom de l'élément de ressources, qui est
généralement différent de l'intitulé de l'élément de ressources que
l'on voit figurer dans la liste du navigateur d'éléments&nbsp;;
1. **Rôle**&nbsp;: l'élément de ressources peut avoir un rôle plus
précis que celui mentionné dans l'intitulé de l'élément de ressources
que l'on voit figurer dans la liste du navigateur d'éléments&nbsp;;
1. **Contact**&nbsp;: c'est généralement le nom de la personne à
contacter, en rapport avec cet élément de ressources&nbsp;;
1. **Tél.**&nbsp;: le numéro de téléphone (fixe ou portable) du contact
qui s'occupe de cet élément de ressources&nbsp;;
1. **Courriel**&nbsp;: l'adresse e-mail du contact qui s'occupe de cet
élément de ressources.

Cliquez sur la zone de texte blanche (champ de formulaire) que vous
souhaitez renseigner, puis tapez au clavier le texte que vous voulez
entrer.

Les champs de formulaire sont des zones de saisie de texte à **une
seule ligne** : ils ne tolèrent pas de retour à la ligne (retour
chariot, touche `<Entrée>`).

Un double-clic sur un mot permet de sélectionner **ce mot uniquement**.

Un triple-clic sur un mot permet de sélectionner **toute la ligne**
dans laquelle se trouve ce mot.

Le menu `Edition > Tout sélectionner` ou la combinaison de touches de
clavier `<Ctrl-A>` permettent de **tout sélectionner** dans la zone de
texte en cours d'édition.

Tout ruban de sélection est susceptible d'être remplacé par la
prochaine frappe d'une touche au clavier.

Retourner au [sommaire](#sommaire).

#### <a name="data_notes"/>Zone de texte des notes

La zone de texte intitulée 'Notes' fait partie intégrante du formulaire
intitulé 'Données'.

La grande zone de texte blanche s'appelle un **éditeur de texte brut**.

L'éditeur de texte brut permet des sauts à la ligne lorsque vous
pressez la touche de clavier `<Entrée>` (retour chariot).

Chaque saut à la ligne crée un nouveau paragraphe.

En revanche, contrairement au **traitement de textes**, cet objet ne
permet pas la mise en forme du texte entré (diverses polices de
caractères, gras, italique, souligné, couleurs d'encre et de fond,
centrage / justification de paragraphes, etc).

Il s'agit d'une zone de texte **neutre**.

Un double-clic sur un mot permet de sélectionner **ce mot uniquement**.

Un triple-clic sur un mot permet de sélectionner **le paragraphe** dans
lequel ce mot se trouve.

Le menu `Edition > Tout sélectionner` ou la combinaison de touches de
clavier `<Ctrl-A>` permettent de **tout sélectionner** dans l'éditeur
de texte brut.

Tout ruban de sélection est susceptible d'être remplacé par la
prochaine frappe d'une touche au clavier.

Contrairement aux champs de formulaire, un éditeur de texte brut prend
en charge l'annulation des mots entrés.

Pour annuler la saisie du dernier mot entré, utilisez soit le menu
`Edition > Annuler`, soit le raccourci clavier `<Ctrl-Z>` correspondant
au couplage successif des touches `Ctrl` (en bas à gauche ou à droite
de votre clavier) et `Z` du clavier alphanumérique.

Pour répéter la saisie du dernier mot annulé, utilisez soit le menu
`Edition > Refaire`, soit le raccourci clavier `<Ctrl-Shift-Z>`
correspondant au couplage successif des touches `Ctrl`, `Shift`
(chariot majuscules) et `Z` du clavier alphanumérique.

Retourner au [sommaire](#sommaire).


## <a name="pour-finir"/>Pour finir

**IMPORTANT**&nbsp;: afin de vous préserver de toute mauvaise surprise,
pensez à **sauvegarder régulièrement votre projet**, soit en utilisant
le menu `Projet > Enregistrer`, soit en utilisant le raccourci clavier
`<Ctrl-S>` correspondant au couplage successif des touches `Ctrl` (en
bas à gauche ou à droite de votre clavier) et `S` du clavier
alphanumérique.

Retourner au [sommaire](#sommaire).

---

#### <a name="navigation-rapide"/>Navigation rapide

* **L'application par ses onglets**
    * [Onglet 'Titre/Données'](fr_tab_title_data.html)
    * [Onglet 'Brouillon/Notes'](fr_tab_draft_notes.html)
    * [Onglet 'Pitch/Concept'](fr_tab_pitch_concept.html)
    * [Onglet 'Personnages'](fr_tab_characters.html)
    * [Onglet 'Scénario'](fr_tab_scenario.html)
    * [Onglet 'Storyboard'](fr_tab_storyboard.html)
    * [Onglet 'Ressources'](fr_tab_resources.html)
* **Les outils**
    * [BDD noms de personnages](fr_tools_name_db.html)
    * [Modèles d'histoires/pitchs](fr_tools_pitch_templates.html)
    * [Éléments de scénario](fr_tools_scenario_elements_editor.html)

Retourner à [l'accueil](index.html).
