
# Outil 'Modèles d'histoires/pitchs'

## <a name="sommaire"/>Sommaire

* [Aperçu](#screenshot)
* [Présentation](#introduction)
* [Utilisation](#utilisation)
    * [Récupérer un modèle](#template_get)
    * [Ajouter un modèle](#template_add)
    * [Modifier un modèle](#template_edit)
    * [Supprimer un modèle](#template_del)
    * [Changer le répertoire de modèles](#template_browse)
    * [Restaurer le répertoire par défaut](#template_reset)
    * [Options de copie](#template_options)
* [Pour finir](#pour-finir)
* [Navigation rapide](#navigation-rapide)


## <a name="screenshot"/>Aperçu

![image](../../images/screenshots/fr/screenshot-004.png)

Retourner au [sommaire](#sommaire).


## <a name="introduction"/>Présentation

Cet outil permet de gérer des **modèles d'histoires/pitchs**,
c'est-à-dire des fichiers de texte dont la vocation est de faciliter
l'écriture détaillée d'un script de scénario.

Il se compose de **trois zones** principales&nbsp;:

1. en haut, à gauche, la zone **Modèles**, qui permet de sélectionner
les différents modèles, accompagnée d'une zone **Aperçu**, juste
en-dessous, zone qui permet de visualiser/modifier le contenu d'un
modèle sélectionné&nbsp;;
1. en haut, à droite, la zone **Édition**, qui permet d'ajouter ou de
supprimer un fichier de modèle, de redéfinir l'emplacement du dossier
qui contiendra les fichiers de modèle ou encore de restaurer
l'emplacement par défaut de ce même répertoire de modèles&nbsp;;
1. en bas, la zone **Options**, qui permet de sélectionner les onglets
de l'application destinés à recevoir le contenu du modèle que l'on
souhaite récupérer.

Dans cet outil, les zones **ne sont pas** redimensionnables.


Retourner au [sommaire](#sommaire).


## <a name="utilisation"/>Utilisation

### <a name="template_get"/>Récupérer un modèle

Pour récupérer un modèle d'histoire/pitch en quelques clics de
souris&nbsp;:

1. Sélectionnez le modèle souhaité dans la liste de modèles située dans
la zone **Modèles** en haut, à gauche&nbsp;;
1. Éventuellement, cochez ou décochez les options qui vous intéressent
dans la zone **Options** située en bas&nbsp;;
1. Cliquez sur le bouton `OK` tout en bas de l'outil.

**Nota Bene**&nbsp;: si aucun modèle n'est sélectionné dans la zone
**Modèles** ou si aucune option n'est cochée dans la zone **Options**,
l'outil refusera de valider votre demande lors du clic sur le bouton
`OK`.

Retourner au [sommaire](#sommaire).

### <a name="template_add"/>Ajouter un modèle

Pour ajouter un nouveau fichier texte de modèle, cliquez sur le bouton
`Ajouter nouveau` de la zone **Édition** située en haut, à droite de
l'outil.

Une fenêtre de dialogue apparaît alors et vous permet de sélectionner
un nom et un emplacement pour votre nouveau fichier de modèle.

**ATTENTION**&nbsp;: si vous définissez un nouvel emplacement dans
cette fenêtre de dialogue i.e. un nouveau répertoire pour votre fichier
de modèle, ce répertoire deviendra *de facto* le nouveau répertoire de
travail pour tous vos fichiers de modèle (voir [Changer le répertoire
de modèles](#template_browse), plus bas).

Retourner au [sommaire](#sommaire).

### <a name="template_edit"/>Modifier un modèle

Pour modifier le contenu texte d'un fichier de modèle, cliquez
simplement sur le nom du modèle concerné dans la liste de la zone
**Modèles**, puis cliquez dans la zone de texte blanche qui se trouve
dans la zone **Aperçu**.

Ne cherchez pas de bouton `Sauvegarder`, il n'y en a pas&nbsp;: le
texte du modèle est **automatiquement enregistré** lorsque vous entrez
au clavier du texte dans la zone blanche ou lorsque vous passez d'un
élément de liste à un autre.

Il vous suffit donc de cliquer sur un modèle dans la liste, de modifier
son texte, puis de cliquer sur un autre modèle de la liste, de modifier
aussi son texte et ainsi de suite, autant de fois que nécessaire.

La zone de texte blanche s'appelle un **éditeur de texte brut**.

L'éditeur de texte brut permet des sauts à la ligne lorsque vous
pressez la touche de clavier `<Entrée>` (retour chariot).

Chaque saut à la ligne crée un nouveau paragraphe.

En revanche, contrairement au **traitement de textes**, cet objet ne
permet pas la mise en forme du texte entré (diverses polices de
caractères, gras, italique, souligné, couleurs d'encre et de fond,
centrage / justification de paragraphes, etc).

Il s'agit d'une zone de texte **neutre**.

Un double-clic sur un mot permet de sélectionner **ce mot uniquement**.

Un triple-clic sur un mot permet de sélectionner **le paragraphe** dans
lequel ce mot se trouve.

La combinaison de touches de clavier `<Ctrl-A>` permet de **tout
sélectionner** dans l'éditeur de texte brut.

Tout ruban de sélection est susceptible d'être remplacé par la
prochaine frappe d'une touche au clavier.

Cet éditeur de texte brut prend en charge l'annulation des mots entrés.

Pour annuler la saisie du dernier mot entré, utilisez le raccourci
clavier `<Ctrl-Z>` correspondant au couplage successif des touches
`Ctrl` (en bas à gauche ou à droite de votre clavier) et `Z` du clavier
alphanumérique.

Pour répéter la saisie du dernier mot annulé, utilisez le raccourci
clavier `<Ctrl-Shift-Z>` correspondant au couplage successif des
touches `Ctrl`, `Shift` (chariot majuscules) et `Z` du clavier
alphanumérique.

Retourner au [sommaire](#sommaire).

### <a name="template_del"/>Supprimer un modèle

Pour supprimer le fichier d'un modèle, cliquez simplement sur le nom du
modèle concerné dans la liste de la zone **Modèles**, puis cliquez sur
le bouton `Supprimer` situé dans la zone **Édition**.

Une fenêtre de dialogue apparaît alors pour vous demander confirmation
avant de procéder à la suppression définitive et irrévocable du fichier
de modèle sélectionné.

Retourner au [sommaire](#sommaire).

### <a name="template_browse"/>Changer le répertoire de modèles

Pour changer l'emplacement du répertoire de modèles, cliquez simplement
sur le bouton `Parcourir` situé dans la zone **Édition** en haut, à
droite.

Une fenêtre de dialogue apparaît alors et vous permet de sélectionner
un nouveau répertoire sur votre disque dur.

Une fois sélectionné, votre nouvel emplacement de travail pour vos
modèles d'histoires/pitchs est conservé dans la mémoire du logiciel
d'une session sur l'autre. Vous n'aurez donc pas besoin de le préciser
à nouveau à chaque fois que vous lancerez `tkScenarist`.

Retourner au [sommaire](#sommaire).

### <a name="template_reset"/>Restaurer le répertoire par défaut

Pour revenir à l'emplacement par défaut géré par le logiciel, cliquez
sur le bouton `Réinitialiser répertoire` situé en haut, à droite, dans
la zone **Édition**.

Vous pourrez dès lors vérifier que l'emplacement par défaut est bien
mentionné dans le petit texte bleu intitulé `Répertoire`, situé dans la
zone **Modèles** en haut, à gauche.

À partir de là, votre nouvel emplacement de travail pour vos modèles
d'histoires/pitchs est conservé dans la mémoire du logiciel d'une
session sur l'autre. Vous n'aurez donc pas besoin de le préciser à
nouveau à chaque fois que vous lancerez `tkScenarist`.

Retourner au [sommaire](#sommaire).

### <a name="template_options"/>Options de copie

Les options de l'outil 'Modèles d'histoires/pitchs' offrent
actuellement&nbsp;:

1. d'effectuer une copie du contenu texte du modèle sélectionné dans
l'éditeur de texte brut de l'onglet `Pitch/Concept` de
l'application&nbsp;;
1. d'effectuer une copie du contenu texte du modèle sélectionné dans
l'éditeur de texte brut de l'onglet `Brouillons/Notes` de
l'application&nbsp;;

Pour (dé)sélectionner une option, cliquez sur le texte de l'option ou
sur la case à cocher située à gauche de ce texte.

Selon ce qu'affiche la case à cocher de l'option, l'option sera
sélectionnée (case cochée) ou désélectionnée (case décochée).

Retourner au [sommaire](#sommaire).


## <a name="pour-finir"/>Pour finir

**IMPORTANT**&nbsp;: afin de vous préserver de toute mauvaise surprise,
pensez à **sauvegarder régulièrement votre projet**, soit en utilisant
le menu `Projet > Enregistrer`, soit en utilisant le raccourci clavier
`<Ctrl-S>` correspondant au couplage successif des touches `Ctrl` (en
bas à gauche ou à droite de votre clavier) et `S` du clavier
alphanumérique.

Retourner au [sommaire](#sommaire).

---

#### <a name="navigation-rapide"/>Navigation rapide

* **L'application par ses onglets**
    * [Onglet 'Titre/Données'](fr_tab_title_data.html)
    * [Onglet 'Brouillon/Notes'](fr_tab_draft_notes.html)
    * [Onglet 'Pitch/Concept'](fr_tab_pitch_concept.html)
    * [Onglet 'Personnages'](fr_tab_characters.html)
    * [Onglet 'Scénario'](fr_tab_scenario.html)
    * [Onglet 'Storyboard'](fr_tab_storyboard.html)
    * [Onglet 'Ressources'](fr_tab_resources.html)
* **Les outils**
    * [BDD noms de personnages](fr_tools_name_db.html)
    * [Modèles d'histoires/pitchs](fr_tools_pitch_templates.html)
    * [Éléments de scénario](fr_tools_scenario_elements_editor.html)

Retourner à [l'accueil](index.html).
