
# tkScenarist &ndash; Bienvenue !

## <a name="documentation-officielle"/>Documentation officielle

### <a name="presentation"/>Présentation

`tkScenarist` est une petite application écrite en Python3/Tkinter
qui vise à faciliter la rédaction de scénarios de films pour tous les
scénaristes en herbe, futurs et à venir.

Ce logiciel est un **freefullware** (voir [ci-dessous](#freefullware)).


### <a name="sommaire"/>Sommaire

* **Par où commencer ?**
    * [Lire le fichier README.md traduit en français](fr_readme.html)
    * [Télécharger une version du logiciel](fr_install_app.html#download)
    * [Installer tkScenarist](fr_install_app.html#install)
    * [Premiers pas](fr_install_app.html#getting_started)
* **L'application par ses menus**
    * [Menu 'Projet'](fr_app_topmenu.html#menu_project)
        * [Option 'Nouveau'](fr_app_topmenu.html#project_new)
        * [Option 'Ouvrir'](fr_app_topmenu.html#project_open)
        * [Option 'Enregistrer'](fr_app_topmenu.html#project_save)
        * [Option 'Enregistrer sous...'](fr_app_topmenu.html#project_save_as)
        * [Option 'Exporter vers PDF'](fr_app_topmenu.html#project_export_pdf)
        * [Option 'Quitter'](fr_app_topmenu.html#project_quit)
    * [Menu 'Edition'](fr_app_topmenu.html#menu_edit)
        * [Option 'Annuler'](fr_app_topmenu.html#edit_undo)
        * [Option 'Refaire'](fr_app_topmenu.html#edit_redo)
        * [Option 'Tout sélectionner'](fr_app_topmenu.html#edit_select_all)
    * [Menu 'Affichage'](fr_app_topmenu.html#menu_view)
        * [Option 'Afficher la barre d'état'](fr_app_topmenu.html#view_show_statusbar)
    * [Menu 'Outils'](fr_app_topmenu.html#menu_tools)
        * [Option 'BDD noms de personnages'](fr_app_topmenu.html#tools_name_db)
        * [Option 'Modèles d'histoires/de pitchs'](fr_app_topmenu.html#tools_pitch_templates)
        * [Option 'Éléments de scénario'](fr_app_topmenu.html#tools_see)
    * [Menu 'Aide'](fr_app_topmenu.html#menu_help)
        * [Option 'Documentation locale'](fr_app_topmenu.html#help_offline_doc)
        * [Option 'Documentation internet'](fr_app_topmenu.html#help_online_doc)
        * [Option 'À propos de...'](fr_app_topmenu.html#help_about)
* **L'application par ses onglets**
    * [Onglet 'Titre/Données'](fr_tab_title_data.html)
    * [Onglet 'Brouillon/Notes'](fr_tab_draft_notes.html)
    * [Onglet 'Pitch/Concept'](fr_tab_pitch_concept.html)
    * [Onglet 'Personnages'](fr_tab_characters.html)
    * [Onglet 'Scénario'](fr_tab_scenario.html)
    * [Onglet 'Storyboard'](fr_tab_storyboard.html)
    * [Onglet 'Ressources'](fr_tab_resources.html)
* **Les outils**
    * [BDD noms de personnages](fr_tools_name_db.html)
    * [Modèles d'histoires/pitchs](fr_tools_pitch_templates.html)
    * [Éléments de scénario](fr_tools_scenario_elements_editor.html)
* **Le projet**
    * [Contributeurs](fr_contributors.html)
    * [Obtenir de l'aide](fr_user_questions.html)


## <a name="copyright"/>Copyright

tkScenarist - screen writing made simpler.

Copyright (c) 2014+ Raphaël Seban <motus@laposte.net>


## <a name="licence"/>Licence

Ce logiciel est publié sous licence **GNU GPL General Public License
v3**.

Les termes de cette licence doivent rester intacts, c'est-à-dire -
entre autres - qu'ils ne doivent pas être traduits.

Termes de la licence (en anglais) :

> This program is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

> This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

> You should have received a copy of the GNU General Public License
along with this program.

> If not, see <http://www.gnu.org/licenses/>


## <a name="freefullware"/>Freefullware

Qu'est-ce qu'un freefullware?

Un logiciel est dit **freefullware** lorsque :

* **il est libre** d'utilisation, de modification et de partage ;
* il est **totalement gratuit** ;
* il ne contient absolument **aucune publicité** ;
* **il n'a pas** de bouton 'Donate' (donner pour aider) ;
* il est **garanti 100% virus-free** (sans virus connu) ;
* il n'attend **aucune contrepartie** de votre part ;
* il est vraiment **absolument libre**, dans tous les sens du terme ;

Téléchargez-le, utilisez-le et amusez-vous bien.

That's all, folks!
